## kfreebsd-10 10.3~svn300087+ds1

=== share/man/man4/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/18/93
# $FreeBSD$

.include <bsd.own.mk>

MAN=	aac.4 \
	aacraid.4 \
	acpi.4 \
	${_acpi_asus.4} \
	${_acpi_asus_wmi.4} \
	${_acpi_dock.4} \
	${_acpi_fujitsu.4} \
	${_acpi_hp.4} \
	${_acpi_ibm.4} \
	${_acpi_panasonic.4} \
	${_acpi_rapidstart.4} \
	${_acpi_sony.4} \
	acpi_thermal.4 \
	${_acpi_toshiba.4} \
	acpi_video.4 \
	${_acpi_wmi.4} \
	ada.4 \
	adv.4 \
	adw.4 \
	ae.4 \
	${_aesni.4} \
	age.4 \
	agp.4 \
	aha.4 \
	ahb.4 \
	ahc.4 \
	ahci.4 \
	ahd.4 \
	${_aibs.4} \
	aio.4 \
	alc.4 \
	ale.4 \
	alpm.4 \
	altera_atse.4 \
	altera_avgen.4 \
	altera_jtag_uart.4 \
	altera_sdcard.4 \
	altq.4 \
	amdpm.4 \
	${_amdsbwd.4} \
	${_amdsmb.4} \
	${_amdtemp.4} \
	${_bxe.4} \
	amr.4 \
	an.4 \
	${_aout.4} \
	${_apic.4} \
	arcmsr.4 \
	${_asmc.4} \
	asr.4 \
	ata.4 \
	ath.4 \
	ath_ahb.4 \
	ath_hal.4 \
	ath_pci.4 \
	atkbd.4 \
	atkbdc.4 \
	atp.4 \
	${_atf_test_case.4} \
	${_atrtc.4} \
	${_attimer.4} \
	audit.4 \
	auditpipe.4 \
	aue.4 \
	axe.4 \
	axge.4 \
	bce.4 \
	bfe.4 \
	bge.4 \
	${_bhyve.4} \
	bktr.4 \
	blackhole.4 \
	bpf.4 \
	bridge.4 \
	bt.4 \
	bwi.4 \
	bwn.4 \
	capsicum.4 \
	cardbus.4 \
	carp.4 \
	cas.4 \
	cc_cdg.4 \
	cc_chd.4 \
	cc_cubic.4 \
	cc_hd.4 \
	cc_htcp.4 \
	cc_newreno.4 \
	cc_vegas.4 \
	${_ccd.4} \
	cd.4 \
	cdce.4 \
	cfi.4 \
	ch.4 \
	ciss.4 \
	cm.4 \
	cmx.4 \
	${_coretemp.4} \
	${_cpuctl.4} \
	cpufreq.4 \
	crypto.4 \
	ctl.4 \
	cue.4 \
	cxgb.4 \
	cxgbe.4 \
	cy.4 \
	da.4 \
	dc.4 \
	dcons.4 \
	dcons_crom.4 \
	ddb.4 \
	de.4 \
	devctl.4 \
	digi.4 \
	disc.4 \
	divert.4 \
	${_dpms.4} \
	dpt.4 \
	dummynet.4 \
	ed.4 \
	edsc.4 \
	ef.4 \
	ehci.4 \
	em.4 \
	en.4 \
	enc.4 \
	epair.4 \
	esp.4 \
	est.4 \
	et.4 \
	etherswitch.4 \
	eventtimers.4 \
	exca.4 \
	faith.4 \
	fatm.4 \
	fd.4 \
	fdc.4 \
	fdt.4 \
	fdtbus.4 \
	ffclock.4 \
	filemon.4 \
	firewire.4 \
	fpa.4 \
	fwe.4 \
	fwip.4 \
	fwohci.4 \
	fxp.4 \
	gbde.4 \
	gdb.4 \
	gem.4 \
	geom.4 \
	geom_fox.4 \
	geom_linux_lvm.4 \
	geom_map.4 \
	geom_uncompress.4 \
	geom_uzip.4 \
	gif.4 \
	gpib.4 \
	gpio.4 \
	gpioiic.4 \
	gpioled.4 \
	gre.4 \
	h_ertt.4 \
	hatm.4 \
	hifn.4 \
	hme.4 \
	hpet.4 \
	${_hpt27xx.4} \
	${_hptiop.4} \
	${_hptmv.4} \
	${_hptnr.4} \
	${_hptrr.4} \
	hv_ata_pci_disengage.4 \
	hv_kvp.4 \
	hv_netvsc.4 \
	hv_storvsc.4 \
	hv_utils.4 \
	hv_vmbus.4 \
	hwpmc.4 \
	ichsmb.4 \
	${_ichwd.4} \
	icmp.4 \
	icmp6.4 \
	ida.4 \
	ifmib.4 \
	igb.4 \
	igmp.4 \
	iic.4 \
	iicbb.4 \
	iicbus.4 \
	iicsmb.4 \
	iir.4 \
	inet.4 \
	inet6.4 \
	intpm.4 \
	intro.4 \
	${_io.4} \
	ip.4 \
	ip6.4 \
	ipfirewall.4 \
	ipheth.4 \
	${_ipmi.4} \
	ips.4 \
	ipsec.4 \
	ipw.4 \
	ipwfw.4 \
	isci.4 \
	ismt.4 \
	isp.4 \
	ispfw.4 \
	iwi.4 \
	iwifw.4 \
	iwn.4 \
	iwnfw.4 \
	ixgb.4 \
	ixgbe.4 \
	ixl.4 \
	ixlv.4 \
	jme.4 \
	joy.4 \
	kbdmux.4 \
	keyboard.4 \
	kld.4 \
	ksyms.4 \
	ktr.4 \
	kue.4 \
	lagg.4 \
	le.4 \
	led.4 \
	lge.4 \
	${_lindev.4} \
	${_linux.4} \
	lmc.4 \
	lo.4 \
	lp.4 \
	lpbb.4 \
	lpt.4 \
	mac.4 \
	mac_biba.4 \
	mac_bsdextended.4 \
	mac_ifoff.4 \
	mac_lomac.4 \
	mac_mls.4 \
	mac_none.4 \
	mac_partition.4 \
	mac_portacl.4 \
	mac_seeotheruids.4 \
	mac_stub.4 \
	mac_test.4 \
	malo.4 \
	mcd.4 \
	md.4 \
	me.4 \
	mem.4 \
	meteor.4 \
	mfi.4 \
	miibus.4 \
	mk48txx.4 \
	mld.4 \
	mlx.4 \
	mlx5en.4 \
	mly.4 \
	mmc.4 \
	mmcsd.4 \
	mn.4 \
	mod_cc.4 \
	mos.4 \
	mouse.4 \
	mpr.4 \
	mps.4 \
	mpt.4 \
	mrsas.4 \
	msk.4 \
	mtio.4 \
	multicast.4 \
	mvs.4 \
	mwl.4 \
	mwlfw.4 \
	mxge.4 \
	my.4 \
	nand.4 \
	nandsim.4 \
	natm.4 \
	natmip.4 \
	ncr.4 \
	ncv.4 \
	${_ndis.4} \
	net80211.4 \
	netfpga10g_nf10bmac.4 \
	netgraph.4 \
	netintro.4 \
	netmap.4 \
	${_nfe.4} \
	${_nfsmb.4} \
	ng_async.4 \
	ng_atm.4 \
	ngatmbase.4 \
	ng_atmllc.4 \
	ng_bpf.4 \
	ng_bridge.4 \
	ng_bt3c.4 \
	ng_btsocket.4 \
	ng_car.4 \
	ng_ccatm.4 \
	ng_cisco.4 \
	ng_deflate.4 \
	ng_device.4 \
	nge.4 \
	ng_echo.4 \
	ng_eiface.4 \
	ng_etf.4 \
	ng_ether.4 \
	ng_ether_echo.4 \
	ng_fec.4 \
	ng_frame_relay.4 \
	ng_gif.4 \
	ng_gif_demux.4 \
	ng_h4.4 \
	ng_hci.4 \
	ng_hole.4 \
	ng_hub.4 \
	ng_iface.4 \
	ng_ipfw.4 \
	ng_ip_input.4 \
	ng_ksocket.4 \
	ng_l2cap.4 \
	ng_l2tp.4 \
	ng_lmi.4 \
	ng_mppc.4 \
	ng_nat.4 \
	ng_netflow.4 \
	ng_one2many.4 \
	ng_patch.4 \
	ng_ppp.4 \
	ng_pppoe.4 \
	ng_pptpgre.4 \
	ng_pred1.4 \
	ng_rfc1490.4 \
	ng_socket.4 \
	ng_source.4 \
	ng_split.4 \
	ng_sppp.4 \
	ng_sscfu.4 \
	ng_sscop.4 \
	ng_tag.4 \
	ng_tcpmss.4 \
	ng_tee.4 \
	ng_tty.4 \
	ng_ubt.4 \
	ng_UI.4 \
	ng_uni.4 \
	ng_vjc.4 \
	ng_vlan.4 \
	nmdm.4 \
	nsp.4 \
	${_ntb.4} \
	null.4 \
	${_nvd.4} \
	${_nve.4} \
	${_nvme.4} \
	${_nvram.4} \
	${_nvram2env.4} \
	${_nxge.4} \
	oce.4 \
	ohci.4 \
	orm.4 \
	${_padlock.4} \
	pass.4 \
	patm.4 \
	pccard.4 \
	pccbb.4 \
	pcf.4 \
	pci.4 \
	pcib.4 \
	pcic.4 \
	pcii.4 \
	pcm.4 \
	pcn.4 \
	${_pf.4} \
	${_pflog.4} \
	${_pfsync.4} \
	pim.4 \
	pms.4 \
	polling.4 \
	ppbus.4 \
	ppc.4 \
	ppi.4 \
	procdesc.4 \
	psm.4 \
	pst.4 \
	pt.4 \
	pts.4 \
	pty.4 \
	puc.4 \
	${_qlxge.4} \
	${_qlxgb.4} \
	${_qlxgbe.4} \
	ral.4 \
	random.4 \
	rc.4 \
	re.4 \
	rgephy.4 \
	rights.4 \
	rl.4 \
	rndtest.4 \
	route.4 \
	rp.4 \
	rsu.4 \
	rsufw.4 \
	rue.4 \
	rum.4 \
	run.4 \
	runfw.4 \
	sa.4 \
	safe.4 \
	sbp.4 \
	sbp_targ.4 \
	scc.4 \
	scd.4 \
	sched_4bsd.4 \
	sched_ule.4 \
	screen.4 \
	scsi.4 \
	sctp.4 \
	sdhci.4 \
	sem.4 \
	send.4 \
	ses.4 \
	sf.4 \
	${_sfxge.4} \
	sge.4 \
	si.4 \
	siba.4 \
	siftr.4 \
	siis.4 \
	simplebus.4 \
	sio.4 \
	sis.4 \
	sk.4 \
	smb.4 \
	smbus.4 \
	smp.4 \
	smsc.4 \
	sn.4 \
	snd_ad1816.4 \
	snd_als4000.4 \
	snd_atiixp.4 \
	snd_cmi.4 \
	snd_cs4281.4 \
	snd_csa.4 \
	snd_ds1.4 \
	snd_emu10k1.4 \
	snd_emu10kx.4 \
	snd_envy24.4 \
	snd_envy24ht.4 \
	snd_es137x.4 \
	snd_ess.4 \
	snd_fm801.4 \
	snd_gusc.4 \
	snd_hda.4 \
	snd_hdspe.4 \
	snd_ich.4 \
	snd_maestro3.4 \
	snd_maestro.4 \
	snd_mss.4 \
	snd_neomagic.4 \
	snd_sbc.4 \
	snd_solo.4 \
	snd_spicds.4 \
	snd_t4dwave.4 \
	snd_uaudio.4 \
	snd_via8233.4 \
	snd_via82c686.4 \
	snd_vibes.4 \
	snp.4 \
	spic.4 \
	${_spkr.4} \
	splash.4 \
	sppp.4 \
	ste.4 \
	stf.4 \
	stg.4 \
	stge.4 \
	sym.4 \
	syncache.4 \
	syncer.4 \
	syscons.4 \
	sysmouse.4 \
	tap.4 \
	targ.4 \
	tcp.4 \
	tdfx.4 \
	terasic_mtl.4 \
	termios.4 \
	textdump.4 \
	ti.4 \
	timecounters.4 \
	tl.4 \
	tnt4882.4 \
	${_tpm.4} \
	trm.4 \
	tty.4 \
	tun.4 \
	twa.4 \
	twe.4 \
	tws.4 \
	tx.4 \
	txp.4 \
	vale.4 \
	vga.4 \
	vge.4 \
	viapm.4 \
	${_viawd.4} \
	${_virtio.4} \
	${_virtio_balloon.4} \
	${_virtio_blk.4} \
	${_virtio_console.4} \
	${_virtio_random.4} \
	${_virtio_scsi.4} \
	vkbd.4 \
	vlan.4 \
	vxlan.4 \
	${_vmx.4} \
	vpo.4 \
	vr.4 \
	vt.4 \
	vte.4 \
	${_vtnet.4} \
	${_vxge.4} \
	watchdog.4 \
	wb.4 \
	${_wbwd.4} \
	wi.4 \
	witness.4 \
	wlan.4 \
	wlan_acl.4 \
	wlan_amrr.4 \
	wlan_ccmp.4 \
	wlan_tkip.4 \
	wlan_wep.4 \
	wlan_xauth.4 \
	${_wpi.4} \
	wsp.4 \
	xe.4 \
	${_xen.4} \
	xhci.4 \
	xl.4 \
	${_xnb.4} \
	xpt.4 \
	zero.4 \
	zyd.4

MLINKS=	ae.4 if_ae.4
MLINKS+=age.4 if_age.4
MLINKS+=agp.4 agpgart.4
MLINKS+=alc.4 if_alc.4
MLINKS+=ale.4 if_ale.4
MLINKS+=altera_sdcard.4 altera_sdcardc.4
MLINKS+=altq.4 ALTQ.4
MLINKS+=ath.4 if_ath.4
MLINKS+=ath_pci.4 if_ath_pci.4
MLINKS+=an.4 if_an.4
MLINKS+=aue.4 if_aue.4
MLINKS+=axe.4 if_axe.4
MLINKS+=bce.4 if_bce.4
MLINKS+=bfe.4 if_bfe.4
MLINKS+=bge.4 if_bge.4
MLINKS+=bktr.4 brooktree.4
MLINKS+=bridge.4 if_bridge.4
MLINKS+=bwi.4 if_bwi.4
MLINKS+=bwn.4 if_bwn.4
MLINKS+=${_bxe.4} ${_if_bxe.4}
MLINKS+=cas.4 if_cas.4
MLINKS+=cdce.4 if_cdce.4
MLINKS+=cfi.4 cfid.4
MLINKS+=crypto.4 cryptodev.4
MLINKS+=cue.4 if_cue.4
MLINKS+=cxgb.4 if_cxgb.4
MLINKS+=cxgbe.4 if_cxgbe.4
MLINKS+=dc.4 if_dc.4
MLINKS+=de.4 if_de.4
MLINKS+=disc.4 if_disc.4
MLINKS+=ed.4 if_ed.4
MLINKS+=edsc.4 if_edsc.4
MLINKS+=ef.4 if_ef.4
MLINKS+=em.4 if_em.4
MLINKS+=en.4 if_en.4
MLINKS+=enc.4 if_enc.4
MLINKS+=epair.4 if_epair.4
MLINKS+=et.4 if_et.4
MLINKS+=faith.4 if_faith.4
MLINKS+=fatm.4 if_fatm.4
MLINKS+=fd.4 stderr.4 \
	fd.4 stdin.4 \
	fd.4 stdout.4
MLINKS+=fdt.4 FDT.4
MLINKS+=firewire.4 ieee1394.4
MLINKS+=fpa.4 fea.4
MLINKS+=fwe.4 if_fwe.4
MLINKS+=fwip.4 if_fwip.4
MLINKS+=fxp.4 if_fxp.4
MLINKS+=gem.4 if_gem.4
MLINKS+=geom.4 GEOM.4
MLINKS+=gif.4 if_gif.4
MLINKS+=gpio.4 gpiobus.4
MLINKS+=gre.4 if_gre.4
MLINKS+=hatm.4 if_hatm.4
MLINKS+=hme.4 if_hme.4
MLINKS+=hpet.4 acpi_hpet.4
MLINKS+=${_hptrr.4} ${_rr232x.4}
MLINKS+=${_attimer.4} ${_i8254.4}
MLINKS+=igb.4 if_igb.4
MLINKS+=ip.4 rawip.4
MLINKS+=ipfirewall.4 ipaccounting.4 \
	ipfirewall.4 ipacct.4 \
	ipfirewall.4 ipfw.4
MLINKS+=ipheth.4 if_ipheth.4
MLINKS+=ipw.4 if_ipw.4
MLINKS+=iwi.4 if_iwi.4
MLINKS+=iwn.4 if_iwn.4
MLINKS+=ixgb.4 if_ixgb.4
MLINKS+=ixgbe.4 ix.4
MLINKS+=ixgbe.4 if_ix.4
MLINKS+=ixgbe.4 if_ixgbe.4
MLINKS+=ixl.4 if_ixl.4
MLINKS+=ixlv.4 if_ixlv.4
MLINKS+=jme.4 if_jme.4
MLINKS+=kue.4 if_kue.4
MLINKS+=lagg.4 trunk.4
MLINKS+=lagg.4 if_lagg.4
MLINKS+=le.4 if_le.4
MLINKS+=lge.4 if_lge.4
MLINKS+=lmc.4 if_lmc.4
MLINKS+=lo.4 loop.4
MLINKS+=lp.4 plip.4
MLINKS+=malo.4 if_malo.4
MLINKS+=md.4 vn.4
MLINKS+=mem.4 kmem.4
MLINKS+=mlx5en.4 mce.4
MLINKS+=mn.4 if_mn.4
MLINKS+=mos.4 if_mos.4
MLINKS+=msk.4 if_msk.4
MLINKS+=mwl.4 if_mwl.4
MLINKS+=mxge.4 if_mxge.4
MLINKS+=my.4 if_my.4
MLINKS+=${_ndis.4} ${_if_ndis.4}
MLINKS+=netfpga10g_nf10bmac.4 if_nf10bmac.4
MLINKS+=netintro.4 net.4 \
	netintro.4 networking.4
MLINKS+=${_nfe.4} ${_if_nfe.4}
MLINKS+=nge.4 if_nge.4
MLINKS+=${_ntb.4} ${_if_ntb.4} \
	${_ntb.4} ${_ntb_hw.4}
MLINKS+=${_nve.4} ${_if_nve.4}
MLINKS+=${_nxge.4} ${_if_nxge.4}
MLINKS+=patm.4 if_patm.4
MLINKS+=pccbb.4 cbb.4
MLINKS+=pcm.4 snd.4 \
	pcm.4 sound.4
MLINKS+=pcn.4 if_pcn.4
MLINKS+=pms.4 pmspcv.4
MLINKS+=ral.4 if_ral.4
MLINKS+=re.4 if_re.4
MLINKS+=rl.4 if_rl.4
MLINKS+=rue.4 if_rue.4
MLINKS+=rum.4 if_rum.4
MLINKS+=run.4 if_run.4
MLINKS+=scsi.4 CAM.4 \
	scsi.4 cam.4 \
	scsi.4 scbus.4 \
	scsi.4 SCSI.4
MLINKS+=sf.4 if_sf.4
MLINKS+=sge.4 if_sge.4
MLINKS+=sis.4 if_sis.4
MLINKS+=sk.4 if_sk.4
MLINKS+=smp.4 SMP.4
MLINKS+=smsc.4 if_smsc.4
MLINKS+=sn.4 if_sn.4
MLINKS+=snd_envy24.4 snd_ak452x.4
MLINKS+=snd_sbc.4 snd_sb16.4 \
	snd_sbc.4 snd_sb8.4
MLINKS+=${_spkr.4} ${_speaker.4}
MLINKS+=splash.4 screensaver.4
MLINKS+=ste.4 if_ste.4
MLINKS+=stf.4 if_stf.4
MLINKS+=stge.4 if_stge.4
MLINKS+=syncache.4 syncookies.4
MLINKS+=syscons.4 sc.4
MLINKS+=tap.4 if_tap.4
MLINKS+=tdfx.4 tdfx_linux.4
MLINKS+=ti.4 if_ti.4
MLINKS+=tl.4 if_tl.4
MLINKS+=tun.4 if_tun.4
MLINKS+=tx.4 if_tx.4
MLINKS+=txp.4 if_txp.4
MLINKS+=vge.4 if_vge.4
MLINKS+=vlan.4 if_vlan.4
MLINKS+=vxlan.4 if_vxlan.4
MLINKS+=${_vmx.4} ${_if_vmx.4}
MLINKS+=vpo.4 imm.4
MLINKS+=vr.4 if_vr.4
MLINKS+=vte.4 if_vte.4
MLINKS+=${_vtnet.4} ${_if_vtnet.4}
MLINKS+=${_vxge.4} ${_if_vxge.4}
MLINKS+=watchdog.4 SW_WATCHDOG.4
MLINKS+=wb.4 if_wb.4
MLINKS+=wi.4 if_wi.4
MLINKS+=${_wpi.4} ${_if_wpi.4}
MLINKS+=xe.4 if_xe.4
MLINKS+=xl.4 if_xl.4
MLINKS+=zyd.4 if_zyd.4

.if ${MACHINE_CPUARCH} == "amd64" || ${MACHINE_CPUARCH} == "i386"
_acpi_asus.4=	acpi_asus.4
_acpi_asus_wmi.4=	acpi_asus_wmi.4
_acpi_dock.4=	acpi_dock.4
_acpi_fujitsu.4=acpi_fujitsu.4
_acpi_hp.4=	acpi_hp.4
_acpi_ibm.4=	acpi_ibm.4
_acpi_panasonic.4=acpi_panasonic.4
_acpi_rapidstart.4=acpi_rapidstart.4
_acpi_sony.4=	acpi_sony.4
_acpi_toshiba.4=acpi_toshiba.4
_acpi_wmi.4=	acpi_wmi.4
_aesni.4=	aesni.4
_aout.4=	aout.4
_apic.4=	apic.4
_atrtc.4=	atrtc.4
_attimer.4=	attimer.4
_aibs.4=	aibs.4
_amdsbwd.4=	amdsbwd.4
_amdsmb.4=	amdsmb.4
_amdtemp.4=	amdtemp.4
_asmc.4=	asmc.4
_bxe.4=		bxe.4
_coretemp.4=	coretemp.4
_cpuctl.4=	cpuctl.4
_dpms.4=	dpms.4
_hpt27xx.4=	hpt27xx.4
_hptiop.4=	hptiop.4
_hptmv.4=	hptmv.4
_hptnr.4=	hptnr.4
_hptrr.4=	hptrr.4
_i8254.4=	i8254.4
_ichwd.4=	ichwd.4
_if_bxe.4=	if_bxe.4
_if_ndis.4=	if_ndis.4
_if_nfe.4=	if_nfe.4
_if_nve.4=	if_nve.4
_if_nxge.4=	if_nxge.4
_if_urtw.4=	if_urtw.4
_if_vmx.4=	if_vmx.4
_if_vtnet.4=	if_vtnet.4
_if_vxge.4=	if_vxge.4
_if_wpi.4=	if_wpi.4
_ipmi.4=	ipmi.4
_io.4=		io.4
_lindev.4=	lindev.4
_linux.4=	linux.4
_ndis.4=	ndis.4
_nfe.4=		nfe.4
_nfsmb.4=	nfsmb.4
_nvd.4=		nvd.4
_nve.4=		nve.4
_nvme.4=	nvme.4
_nvram.4=	nvram.4
_nxge.4=	nxge.4
_virtio.4=	virtio.4
_virtio_balloon.4=virtio_balloon.4
_virtio_blk.4=	virtio_blk.4
_virtio_console.4=virtio_console.4
_virtio_random.4= virtio_random.4
_virtio_scsi.4= virtio_scsi.4
_vmx.4=		vmx.4
_vtnet.4=	vtnet.4
_vxge.4=	vxge.4

=== share/man/man9/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

MAN=	accept_filter.9 \
	accf_data.9 \
	accf_dns.9 \
	accf_http.9 \
	acl.9 \
	alq.9 \
	altq.9 \
	atomic.9 \
	bios.9 \
	boot.9 \
	bpf.9 \
	buf.9 \
	buf_ring.9 \
	BUF_ISLOCKED.9 \
	BUF_LOCK.9 \
	BUF_LOCKFREE.9 \
	BUF_LOCKINIT.9 \
	BUF_RECURSED.9 \
	BUF_TIMELOCK.9 \
	BUF_UNLOCK.9 \
	bus_activate_resource.9 \
	BUS_ADD_CHILD.9 \
	bus_adjust_resource.9 \
	bus_alloc_resource.9 \
	BUS_BIND_INTR.9 \
	bus_child_present.9 \
	BUS_CHILD_DELETED.9 \
	BUS_CHILD_DETACHED.9 \
	BUS_CONFIG_INTR.9 \
	BUS_DESCRIBE_INTR.9 \
	bus_dma.9 \
	bus_generic_attach.9 \
	bus_generic_detach.9 \
	bus_generic_new_pass.9 \
	bus_generic_print_child.9 \
	bus_generic_read_ivar.9 \
	bus_generic_shutdown.9 \
	bus_get_resource.9 \
	BUS_NEW_PASS.9 \
	BUS_PRINT_CHILD.9 \
	BUS_READ_IVAR.9 \
	bus_release_resource.9 \
	bus_set_pass.9 \
	bus_set_resource.9 \
	BUS_SETUP_INTR.9 \
	bus_space.9 \
	byteorder.9 \
	casuword.9 \
	cd.9 \
	condvar.9 \
	config_intrhook.9 \
	contigmalloc.9 \
	copy.9 \
	counter.9 \
	cr_cansee.9 \
	critical_enter.9 \
	cr_seeothergids.9 \
	cr_seeotheruids.9 \
	crypto.9 \
	CTASSERT.9 \
	DB_COMMAND.9 \
	DECLARE_GEOM_CLASS.9 \
	DECLARE_MODULE.9 \
	DELAY.9 \
	devclass.9 \
	devclass_find.9 \
	devclass_get_device.9 \
	devclass_get_devices.9 \
	devclass_get_drivers.9 \
	devclass_get_maxunit.9 \
	devclass_get_name.9 \
	devclass_get_softc.9 \
	dev_clone.9 \
	devfs_set_cdevpriv.9 \
	device.9 \
	device_add_child.9 \
	DEVICE_ATTACH.9 \
	device_delete_child.9 \
	DEVICE_DETACH.9 \
	device_enable.9 \
	device_find_child.9 \
	device_get_children.9 \
	device_get_devclass.9 \
	device_get_driver.9 \
	device_get_ivars.9 \
	device_get_name.9 \
	device_get_parent.9 \
	device_get_softc.9 \
	device_get_state.9 \
	device_get_sysctl.9 \
	device_get_unit.9 \
	DEVICE_IDENTIFY.9 \
	device_printf.9 \
	DEVICE_PROBE.9 \
	device_probe_and_attach.9 \
	device_quiet.9 \
	device_set_desc.9 \
	device_set_driver.9 \
	device_set_flags.9 \
	DEVICE_SHUTDOWN.9 \
	DEV_MODULE.9 \
	devstat.9 \
	devtoname.9 \
	disk.9 \
	domain.9 \
	drbr.9 \
	driver.9 \
	DRIVER_MODULE.9 \
	EVENTHANDLER.9 \
	eventtimers.9 \
	extattr.9 \
	fail.9 \
	fetch.9 \
	firmware.9 \
	fpu_kern.9 \
	g_access.9 \
	g_attach.9 \
	g_bio.9 \
	g_consumer.9 \
	g_data.9 \
	get_cyclecount.9 \
	getnewvnode.9 \
	g_event.9 \
	g_geom.9 \
	g_provider.9 \
	g_provider_by_name.9 \
	groupmember.9 \
	g_wither_geom.9 \
	hash.9 \
	hashinit.9 \
	hexdump.9 \
	hhook.9 \
	ieee80211.9 \
	ieee80211_amrr.9 \
	ieee80211_beacon.9 \
	ieee80211_bmiss.9 \
	ieee80211_crypto.9 \
	ieee80211_ddb.9 \
	ieee80211_input.9 \
	ieee80211_node.9 \
	ieee80211_output.9 \
	ieee80211_proto.9 \
	ieee80211_radiotap.9 \
	ieee80211_regdomain.9 \
	ieee80211_scan.9 \
	ieee80211_vap.9 \
	ifnet.9 \
	inittodr.9 \
	insmntque.9 \
	intro.9 \
	ithread.9 \
	KASSERT.9 \
	kernacc.9 \
	kernel_mount.9 \
	khelp.9 \
	kobj.9 \
	kproc.9 \
	kqueue.9 \
	kthread.9 \
	ktr.9 \
	lock.9 \
	locking.9 \
	LOCK_PROFILING.9 \
	mac.9 \
	make_dev.9 \
	malloc.9 \
	mbchain.9 \
	mbpool.9 \
	mbuf.9 \
	mbuf_tags.9 \
	MD5.9 \
	mdchain.9 \
	memcchr.9 \
	memguard.9 \
	microseq.9 \
	microtime.9 \
	microuptime.9 \
	mi_switch.9 \
	mod_cc.9 \
	module.9 \
	MODULE_DEPEND.9 \
	MODULE_VERSION.9 \
	mtx_pool.9 \
	mutex.9 \
	namei.9 \
	netisr.9 \
	osd.9 \
	panic.9 \
	pbuf.9 \
	p_candebug.9 \
	p_cansee.9 \
	pci.9 \
	pfil.9 \
	pfind.9 \
	pget.9 \
	pgfind.9 \
	physio.9 \
	pmap.9 \
	pmap_activate.9 \
	pmap_clear_modify.9 \
	pmap_copy.9 \
	pmap_enter.9 \
	pmap_extract.9 \
	pmap_growkernel.9 \
	pmap_init.9 \
	pmap_is_modified.9 \
	pmap_is_prefaultable.9 \
	pmap_map.9 \
	pmap_mincore.9 \
	pmap_object_init_pt.9 \
	pmap_page_exists_quick.9 \
	pmap_page_init.9 \
	pmap_page_protect.9 \
	pmap_pinit.9 \
	pmap_qenter.9 \
	pmap_release.9 \
	pmap_remove.9 \
	pmap_resident_count.9 \
	pmap_unwire.9 \
	pmap_zero_page.9 \
	printf.9 \
	prison_check.9 \
	priv.9 \
	pseudofs.9 \
	psignal.9 \
	random.9 \
	random_harvest.9 \
	redzone.9 \
	refcount.9 \
	resettodr.9 \
	resource_int_value.9 \
	rijndael.9 \
	rman.9 \
	rmlock.9 \
	rtalloc.9 \
	rtentry.9 \
	runqueue.9 \
	rwlock.9 \
	sbuf.9 \
	scheduler.9 \
	SDT.9 \
	securelevel_gt.9 \
	selrecord.9 \
	sema.9 \
	sf_buf.9 \
	sglist.9 \
	shm_map.9 \
	signal.9 \
	sleep.9 \
	sleepqueue.9 \
	socket.9 \
	spl.9 \
	stack.9 \
	store.9 \
	style.9 \
	swi.9 \
	sx.9 \
	SYSCALL_MODULE.9 \
	sysctl.9 \
	sysctl_add_oid.9 \
	sysctl_ctx_init.9 \
	SYSINIT.9 \
	taskqueue.9 \
	thread_exit.9 \
	time.9 \
	timeout.9 \
	tvtohz.9 \
	ucred.9 \
	uidinfo.9 \
	uio.9 \
	unr.9 \
	utopia.9 \
	vaccess.9 \
	vaccess_acl_nfs4.9 \
	vaccess_acl_posix1e.9 \
	vcount.9 \
	vflush.9 \
	VFS.9 \
	vfs_busy.9 \
	VFS_CHECKEXP.9 \
	vfsconf.9 \
	VFS_FHTOVP.9 \
	vfs_getnewfsid.9 \
	vfs_getopt.9 \
	vfs_getvfs.9 \
	VFS_MOUNT.9 \
	vfs_mountedfrom.9 \
	VFS_QUOTACTL.9 \
	VFS_ROOT.9 \
	vfs_rootmountalloc.9 \
	VFS_SET.9 \
	VFS_STATFS.9 \
	vfs_suser.9 \
	VFS_SYNC.9 \
	vfs_timestamp.9 \
	vfs_unbusy.9 \
	VFS_UNMOUNT.9 \
	vfs_unmountall.9 \
	VFS_VGET.9 \
	vget.9 \
	vgone.9 \
	vhold.9 \
	vinvalbuf.9 \
	vm_fault_prefault.9 \
	vm_map.9 \
	vm_map_check_protection.9 \
	vm_map_create.9 \
	vm_map_delete.9 \
	vm_map_entry_resize_free.9 \
	vm_map_find.9 \
	vm_map_findspace.9 \
	vm_map_inherit.9 \
	vm_map_init.9 \
	vm_map_insert.9 \
	vm_map_lock.9 \
	vm_map_lookup.9 \
	vm_map_madvise.9 \
	vm_map_max.9 \
	vm_map_protect.9 \
	vm_map_remove.9 \
	vm_map_simplify_entry.9 \
	vm_map_stack.9 \
	vm_map_submap.9 \
	vm_map_sync.9 \
	vm_map_wire.9 \
	vm_page_alloc.9 \
	vm_page_bits.9 \
	vm_page_busy.9 \
	vm_page_cache.9 \
	vm_page_deactivate.9 \
	vm_page_dontneed.9 \
	vm_page_aflag.9 \
	vm_page_free.9 \
	vm_page_grab.9 \
	vm_page_hold.9 \
	vm_page_insert.9 \
	vm_page_lookup.9 \
	vm_page_rename.9 \
	vm_page_wire.9 \
	vm_set_page_size.9 \
	vmem.9 \
	vn_fullpath.9 \
	vn_isdisk.9 \
	vnode.9 \
	VOP_ACCESS.9 \
	VOP_ACLCHECK.9 \
	VOP_ADVISE.9 \
	VOP_ADVLOCK.9 \
	VOP_ALLOCATE.9 \
	VOP_ATTRIB.9 \
	VOP_BWRITE.9 \
	VOP_CREATE.9 \
	VOP_FSYNC.9 \
	VOP_GETACL.9 \
	VOP_GETEXTATTR.9 \
	VOP_GETPAGES.9 \
	VOP_INACTIVE.9 \
	VOP_IOCTL.9 \
	VOP_LINK.9 \
	VOP_LISTEXTATTR.9 \
	VOP_LOCK.9 \
	VOP_LOOKUP.9 \
	VOP_OPENCLOSE.9 \
	VOP_PATHCONF.9 \
	VOP_PRINT.9 \
	VOP_RDWR.9 \
	VOP_READDIR.9 \
	VOP_READLINK.9 \
	VOP_REALLOCBLKS.9 \
	VOP_REMOVE.9 \
	VOP_RENAME.9 \
	VOP_REVOKE.9 \
	VOP_SETACL.9 \
	VOP_SETEXTATTR.9 \
	VOP_STRATEGY.9 \
	VOP_VPTOCNP.9 \
	VOP_VPTOFH.9 \
	vref.9 \
	vrefcnt.9 \
	vrele.9 \
	vslock.9 \
	watchdog.9 \
	zero_copy.9 \
	zone.9

MLINKS=	unr.9 alloc_unr.9 \
	unr.9 alloc_unrl.9 \
	unr.9 alloc_unr_specific.9 \
	unr.9 delete_unrhdr.9 \
	unr.9 free_unr.9 \
	unr.9 new_unrhdr.9
MLINKS+=alq.9 ALQ.9 \
	alq.9 alq_close.9 \
	alq.9 alq_flush.9 \
	alq.9 alq_get.9 \
	alq.9 alq_open.9 \
	alq.9 alq_post.9 \
	alq.9 alq_write.9
MLINKS+=altq.9 ALTQ.9
MLINKS+=atomic.9 atomic_add.9 \
	atomic.9 atomic_clear.9 \
	atomic.9 atomic_cmpset.9 \
	atomic.9 atomic_fetchadd.9 \
	atomic.9 atomic_load.9 \
	atomic.9 atomic_readandclear.9 \
	atomic.9 atomic_set.9 \
	atomic.9 atomic_store.9 \
	atomic.9 atomic_subtract.9
MLINKS+=bpf.9 bpfattach.9 \
	bpf.9 bpfattach2.9 \
	bpf.9 bpfdetach.9 \
	bpf.9 bpf_filter.9 \
	bpf.9 bpf_mtap.9 \
	bpf.9 bpf_mtap2.9 \
	bpf.9 bpf_tap.9 \
	bpf.9 bpf_validate.9
MLINKS+=buf.9 bp.9
MLINKS+=buf_ring.9 buf_ring_alloc.9 \
	buf_ring.9 buf_ring_free.9 \
	buf_ring.9 buf_ring_enqueue.9 \
	buf_ring.9 buf_ring_enqueue_bytes.9 \
	buf_ring.9 buf_ring_dequeue_mc.9 \
	buf_ring.9 buf_ring_dequeue_sc.9 \
	buf_ring.9 buf_ring_count.9 \
	buf_ring.9 buf_ring_empty.9 \
	buf_ring.9 buf_ring_full.9 \
	buf_ring.9 buf_ring_peek.9
MLINKS+=bus_activate_resource.9 bus_deactivate_resource.9
MLINKS+=bus_alloc_resource.9 bus_alloc_resource_any.9
MLINKS+=BUS_BIND_INTR.9 bus_bind_intr.9
MLINKS+=BUS_DESCRIBE_INTR.9 bus_describe_intr.9
MLINKS+=bus_dma.9 busdma.9 \
	bus_dma.9 bus_dmamap_create.9 \
	bus_dma.9 bus_dmamap_destroy.9 \
	bus_dma.9 bus_dmamap_load.9 \
	bus_dma.9 bus_dmamap_load_mbuf.9 \
	bus_dma.9 bus_dmamap_load_mbuf_sg.9 \
	bus_dma.9 bus_dmamap_load_uio.9 \
	bus_dma.9 bus_dmamap_sync.9 \
	bus_dma.9 bus_dmamap_unload.9 \
	bus_dma.9 bus_dmamem_alloc.9 \
	bus_dma.9 bus_dmamem_free.9 \
	bus_dma.9 bus_dma_tag_create.9 \
	bus_dma.9 bus_dma_tag_destroy.9
MLINKS+=bus_generic_read_ivar.9 bus_generic_write_ivar.9
MLINKS+=BUS_READ_IVAR.9 BUS_WRITE_IVAR.9
MLINKS+=BUS_SETUP_INTR.9 bus_setup_intr.9 \
	BUS_SETUP_INTR.9 BUS_TEARDOWN_INTR.9 \
	BUS_SETUP_INTR.9 bus_teardown_intr.9
MLINKS+=bus_space.9 bus_space_barrier.9 \
	bus_space.9 bus_space_copy_region_1.9 \
	bus_space.9 bus_space_copy_region_2.9 \
	bus_space.9 bus_space_copy_region_4.9 \
	bus_space.9 bus_space_copy_region_8.9 \
	bus_space.9 bus_space_copy_region_stream_1.9 \
	bus_space.9 bus_space_copy_region_stream_2.9 \
	bus_space.9 bus_space_copy_region_stream_4.9 \
	bus_space.9 bus_space_copy_region_stream_8.9 \
	bus_space.9 bus_space_free.9 \
	bus_space.9 bus_space_map.9 \
	bus_space.9 bus_space_read_1.9 \
	bus_space.9 bus_space_read_2.9 \
	bus_space.9 bus_space_read_4.9 \
	bus_space.9 bus_space_read_8.9 \
	bus_space.9 bus_space_read_multi_1.9 \
	bus_space.9 bus_space_read_multi_2.9 \
	bus_space.9 bus_space_read_multi_4.9 \
	bus_space.9 bus_space_read_multi_8.9 \
	bus_space.9 bus_space_read_multi_stream_1.9 \
	bus_space.9 bus_space_read_multi_stream_2.9 \
	bus_space.9 bus_space_read_multi_stream_4.9 \
	bus_space.9 bus_space_read_multi_stream_8.9 \
	bus_space.9 bus_space_read_region_1.9 \
	bus_space.9 bus_space_read_region_2.9 \
	bus_space.9 bus_space_read_region_4.9 \
	bus_space.9 bus_space_read_region_8.9 \
	bus_space.9 bus_space_read_region_stream_1.9 \
	bus_space.9 bus_space_read_region_stream_2.9 \
	bus_space.9 bus_space_read_region_stream_4.9 \
	bus_space.9 bus_space_read_region_stream_8.9 \
	bus_space.9 bus_space_read_stream_1.9 \
	bus_space.9 bus_space_read_stream_2.9 \
	bus_space.9 bus_space_read_stream_4.9 \
	bus_space.9 bus_space_read_stream_8.9 \
	bus_space.9 bus_space_set_multi_1.9 \
	bus_space.9 bus_space_set_multi_2.9 \
	bus_space.9 bus_space_set_multi_4.9 \
	bus_space.9 bus_space_set_multi_8.9 \
	bus_space.9 bus_space_set_multi_stream_1.9 \
	bus_space.9 bus_space_set_multi_stream_2.9 \
	bus_space.9 bus_space_set_multi_stream_4.9 \
	bus_space.9 bus_space_set_multi_stream_8.9 \
	bus_space.9 bus_space_set_region_1.9 \
	bus_space.9 bus_space_set_region_2.9 \
	bus_space.9 bus_space_set_region_4.9 \
	bus_space.9 bus_space_set_region_8.9 \
	bus_space.9 bus_space_set_region_stream_1.9 \
	bus_space.9 bus_space_set_region_stream_2.9 \
	bus_space.9 bus_space_set_region_stream_4.9 \
	bus_space.9 bus_space_set_region_stream_8.9 \
	bus_space.9 bus_space_subregion.9 \
	bus_space.9 bus_space_unmap.9 \
	bus_space.9 bus_space_write_1.9 \
	bus_space.9 bus_space_write_2.9 \
	bus_space.9 bus_space_write_4.9 \
	bus_space.9 bus_space_write_8.9 \
	bus_space.9 bus_space_write_multi_1.9 \
	bus_space.9 bus_space_write_multi_2.9 \
	bus_space.9 bus_space_write_multi_4.9 \
	bus_space.9 bus_space_write_multi_8.9 \
	bus_space.9 bus_space_write_multi_stream_1.9 \
	bus_space.9 bus_space_write_multi_stream_2.9 \
	bus_space.9 bus_space_write_multi_stream_4.9 \
	bus_space.9 bus_space_write_multi_stream_8.9 \
	bus_space.9 bus_space_write_region_1.9 \
	bus_space.9 bus_space_write_region_2.9 \
	bus_space.9 bus_space_write_region_4.9 \
	bus_space.9 bus_space_write_region_8.9 \
	bus_space.9 bus_space_write_region_stream_1.9 \
	bus_space.9 bus_space_write_region_stream_2.9 \
	bus_space.9 bus_space_write_region_stream_4.9 \
	bus_space.9 bus_space_write_region_stream_8.9 \
	bus_space.9 bus_space_write_stream_1.9 \
	bus_space.9 bus_space_write_stream_2.9 \
	bus_space.9 bus_space_write_stream_4.9 \
	bus_space.9 bus_space_write_stream_8.9
MLINKS+=byteorder.9 be16dec.9 \
	byteorder.9 be16enc.9 \
	byteorder.9 be16toh.9 \
	byteorder.9 be32dec.9 \
	byteorder.9 be32enc.9 \
	byteorder.9 be32toh.9 \
	byteorder.9 be64dec.9 \
	byteorder.9 be64enc.9 \
	byteorder.9 be64toh.9 \
	byteorder.9 bswap16.9 \
	byteorder.9 bswap32.9 \
	byteorder.9 bswap64.9 \
	byteorder.9 htobe16.9 \
	byteorder.9 htobe32.9 \
	byteorder.9 htobe64.9 \
	byteorder.9 htole16.9 \

=== share/man/man4/man4.arm/Makefile ===
# $FreeBSD$

MAN=	cgem.4 \
	devcfg.4 \
	mge.4 \
	npe.4 \
	ti_adc.4

MLINKS= cgem.4 if_cgem.4
MLINKS+= mge.4 if_mge.4
MLINKS+=npe.4 if_npe.4

MANSUBDIR=/arm

.include <bsd.prog.mk>

=== share/man/man4/man4.i386/Makefile ===
# $FreeBSD$

MAN=	aic.4 \
	apm.4 \
	ce.4 \
	cp.4 \
	CPU_ELAN.4 \
	cs.4 \
	ct.4 \
	ctau.4 \
	cx.4 \
	ep.4 \
	ex.4 \
	fe.4 \
	glxiic.4 \
	glxsb.4 \
	ie.4 \
	longrun.4 \
	mse.4 \
	npx.4 \
	pae.4 \
	pbio.4 \
	perfmon.4 \
	pnp.4 \
	pnpbios.4 \
	sbni.4 \
	smapi.4 \
	snc.4 \
	streams.4 \
	svr4.4 \
	vpd.4 \
	vx.4 \
	wl.4

MLINKS=	CPU_ELAN.4 CPU_SOEKRIS.4
MLINKS+=pae.4 PAE.4
MLINKS+=sbni.4 if_sbni.4

MANSUBDIR=/i386

.include <bsd.prog.mk>

=== share/man/man4/man4.powerpc/Makefile ===
# $FreeBSD$

MAN=	adb.4 \
	akbd.4 \
	abtn.4 \
	ams.4 \
	bm.4 \
	cuda.4 \
	pmu.4 \
	powermac_nvram.4 \
	smu.4 \
	snd_ai2s.4 \
	snd_davbus.4 \
	tsec.4

MANSUBDIR=/powerpc

.include <bsd.prog.mk>

=== share/man/man4/man4.sparc64/Makefile ===
# $FreeBSD$

MAN=	auxio.4 \
	central.4 \
	clkbrd.4 \
	creator.4 \
	ebus.4 \
	eeprom.4 \
	fhc.4 \
	machfb.4 \
	ofw_console.4 \
	openfirm.4 \
	openprom.4 \
	rtc.4 \
	sbus.4 \
	snd_audiocs.4

MLINKS=	openfirm.4 openfirmware.4

MANSUBDIR=/sparc64

.include <bsd.prog.mk>

=== debian/changelog ===
kfreebsd-10 (10.3~svn300087+ds1-1) unstable; urgency=medium

  * Add missing zfs-modules.overrides
  * Strip modules for d-i, which kernel-wedge was supposed to do
  * Fix Vcs-Browser and Vcs-Git URIs
  * Add man page sections 4 (kernel interfaces) and 9 (kernel developer)
    to kfreebsd-source package
  * Update debian/copyright file

 -- Steven Chamberlain <stevenc@debian.org>  Thu, 02 Apr 2020 10:08:27 +0100

kfreebsd-10 (10.3~svn300087-6) unstable; urgency=medium

  * Build with gcc-9 (Closes: #944170)
  * Fix FTBFS with gcc-9 (Closes: #955166)

 -- Steven Chamberlain <stevenc@debian.org>  Fri, 27 Mar 2020 21:14:52 +0000

=== debian/control ===
Source: kfreebsd-10
Section: kernel
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Aurelien Jarno <aurel32@debian.org>,
 Robert Millan <rmh@debian.org>,
 Christoph Egger <christoph@debian.org>,
 Steven Chamberlain <stevenc@debian.org>,
 Jessica Clarke <jrtc27@debian.org>,
Build-Depends:
 debhelper (>= 11~),
 bzip2,
 sharutils,
 flex | flex-old,
 freebsd-buildutils (>= 10.3~),
 freebsd-glue (>= 0.2.20~),
 freebsd-mk (>= 10.3~),
 byacc,
 gcc-9,
 libdb-dev,
 libbsd-dev (>= 0.3.0),
 pkg-config,
 libsbuf-dev (>= 9.0+ds1-2),
 kernel-wedge (>= 2.79) [kfreebsd-any],
Standards-Version: 3.9.2
Vcs-Browser: https://salsa.debian.org/bsd-team/kfreebsd
Vcs-Git: https://salsa.debian.org/bsd-team/kfreebsd.git

Package: kfreebsd-source-10.3
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: freebsd-buildutils (>= 7)
Provides: kfreebsd-source-10, kfreebsd-source
Description: source code for kernel of FreeBSD 10.3 with Debian patches
 This package provides the source code for kernel of FreeBSD 10.3, base of
 a GNU/kFreeBSD system, and corresponding man page sections 4 (kernel
 interfaces) and 9 (kernel developer).

Package: kfreebsd-headers-10.3-0
Architecture: kfreebsd-any
Depends: ${misc:Depends}
Description: Common architecture-specific header files for kernel of FreeBSD 10.3
 This package provides the architecture-specific common kernel header files for
 kernel of FreeBSD 10.3, generally used for building out-of-tree kernel
 modules. To obtain a complete set of headers you also need to install the
 kfreebsd-headers-10.3-0-(flavour) package, matching the flavour of the
 kernel you intend the build for. To obtain such a set for the currently running
 kernel it is sufficient to run a command
 .
 apt-get install kfreebsd-headers-$(uname -r)
 .
 and it will be unpacked in /usr/src/kfreebsd-headers-10.3-0-(flavour)


Package: kfreebsd-image-10.3-0-amd64
Architecture: kfreebsd-amd64
Depends: ${misc:Depends},
 freebsd-utils (>= 8.1-5) [kfreebsd-any], kldutils (>= 7.1) [kfreebsd-any],
 devd [kfreebsd-any] | freebsd-utils (<< 8.2+ds2-9) [kfreebsd-any],
# Policy-conformant keyboard mappings (see #605777)
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
Conflicts: kfreebsd-loader (<< 5.4-1.3)
Breaks:
# ZFS metadata now compressed with LZ4 by default;  requires recent GRUB
 grub-common (<< 2.02~) [kfreebsd-any],
# AT_* macros break LD_PRELOAD (see #630695)
# Missing support for RFTSIGZMB (see 007_clone_signals.diff)
 libc0.1 (<< 2.11.3-1) [kfreebsd-any],
# Require ZFS v28 userland
 zfsutils (<< 8.3~) [kfreebsd-any],
# ABI changes since kFreeBSD 9.0
 freebsd-net-tools (<< 10.0~) [kfreebsd-any],
 freebsd-smbfs (<< 10.0~) [kfreebsd-any],
 pf (<< 10.1~) [kfreebsd-any],
Provides: kfreebsd-image-10, kfreebsd-image
Recommends: 
Description: kernel of FreeBSD 10.3 image
 This package provides the binary image and pre-built loadable modules for
 the kernel of FreeBSD 10.3, base of a GNU/kFreeBSD system.
 .
 This package is compiled for a amd64-class machine.

Package: kfreebsd-image-10-amd64
Architecture: kfreebsd-amd64
Depends: kfreebsd-image-10.3-0-amd64, ${misc:Depends}
Description: kernel of FreeBSD 10 image (meta-package)
 This package depends on the latest binary image for kernel of FreeBSD 10 on
 amd64-class machines.

Package: kfreebsd-headers-10.3-0-amd64
Architecture: kfreebsd-amd64
Provides: kfreebsd-headers-10, kfreebsd-headers
Depends: kfreebsd-headers-10.3-0 (= ${binary:Version}), ${misc:Depends}
Description: header files for kernel of FreeBSD 10.3
 This package provides the header files for kernel of FreeBSD 10.3, generally
 used for building out-of-tree kernel modules. These files are going to be
 installed into /usr/src/kfreebsd-headers-10.3-0-amd64, and can be
 used for building modules that load into the kernel provided by the
 kfreebsd-image-10.3-0-amd64 package.

Package: kfreebsd-headers-10-amd64
Architecture: kfreebsd-amd64
Depends: kfreebsd-headers-10.3-0-amd64, ${misc:Depends}
Description: header files for kernel of FreeBSD 10 (meta-package)
 This package depends on the latest header files for kernel of FreeBSD 10 on
 amd64-class machines.


Package: kernel-image-10.3-0-amd64-di
Package-Type: udeb
Provides: kernel-image, ata-modules, cdrom-core-modules, core-modules, crc-modules, ext2-modules, ide-core-modules, ide-modules, input-modules, mmc-core-modules, mouse-modules, nic-pcmcia-modules, nls-core-modules, pata-modules, pcmcia-modules, pcmcia-storage-modules, rtc-modules, scsi-common-modules, serial-modules, ufs-modules, uinput-modules, usb-modules, usb-storage-modules
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: extra
Description: kFreeBSD binary image for the Debian installer
 This package contains the kernel of FreeBSD for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: nic-modules
Depends: kernel-image-10.3-0-amd64-di, nic-shared-modules-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: standard
Description: Common NIC drivers
 This package contains common NIC drivers for the kernel.

Package: nic-wireless-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: nic-wireless-modules
Depends: kernel-image-10.3-0-amd64-di, nic-shared-modules-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: standard
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.
 Includes crypto modules only needed for wireless (WEP).

Package: nic-shared-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: standard
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-extra-modules, nic-pcmcia-modules, and nic-wireless-modules.

Package: serial-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: serial-modules
Depends: kernel-image-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: optional
Description: Serial drivers
 This package contains serial drivers for the kernel.

Package: usb-serial-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: usb-serial-modules
Depends: kernel-image-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: optional
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.

Package: ppp-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: ppp-modules
Depends: kernel-image-10.3-0-amd64-di, serial-modules-10.3-0-amd64-di, zlib-modules-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: optional
Description: PPP drivers
 This package contains PPP drivers for the kernel.

Package: cdrom-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: cdrom-modules
Depends: kernel-image-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: optional
Description: Esoteric CDROM drivers
 This package contains esoteric CDROM drivers for the kernel.

Package: scsi-core-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: scsi-core-modules
Depends: kernel-image-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: standard
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.

Package: scsi-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: scsi-modules
Depends: kernel-image-10.3-0-amd64-di, scsi-core-modules-10.3-0-amd64-di, parport-modules-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: standard
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.

Package: scsi-extra-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: scsi-extra-modules
Depends: scsi-modules-10.3-0-amd64-di, scsi-core-modules-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: standard
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.
 This includes SCSI RAID drivers, and some of the less common SCSI
 controllers.

Package: plip-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: plip-modules
Depends: kernel-image-10.3-0-amd64-di, parport-modules-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: optional
Description: PLIP drivers
 This package contains PLIP drivers for the kernel.

Package: floppy-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: floppy-modules
Depends: kernel-image-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: standard
Description: Floppy driver
 This package contains the floppy driver for the kernel.

Package: loop-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: loop-modules
Depends: kernel-image-10.3-0-amd64-di, zlib-modules-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: standard
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.

Package: ipv6-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: ipv6-modules
Depends: kernel-image-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: extra
Description: IPv6 driver
 This package contains the IPv6 driver for the kernel.

Package: nls-core-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: nls-core-modules
Depends: kernel-image-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: extra
Description: Core NLS support
 This package contains basic NLS support modules for the kernel.

Package: ext2-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: ext2-modules
Depends: kernel-image-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: standard
Description: EXT2 filesystem support
 This package contains the EXT2 filesystem module for the kernel.

Package: isofs-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: isofs-modules
Depends: kernel-image-10.3-0-amd64-di, nls-core-modules-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: standard
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.

Package: reiserfs-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: reiserfs-modules
Depends: kernel-image-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: extra
Description: Reiser filesystem support
 This package contains the Reiser filesystem module for the kernel.

Package: fat-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: fat-modules
Depends: kernel-image-10.3-0-amd64-di, nls-core-modules-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: extra
Description: FAT filesystem support
 This package contains the FAT and VFAT filesystem modules for the kernel.

Package: zfs-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: zfs-modules
Depends: kernel-image-10.3-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 10.3-0-amd64
Section: debian-installer
Priority: extra
Description: ZFS filesystem support
 This package contains the ZFS filesystem module for the kernel.

Package: nfs-modules-10.3-0-amd64-di
Package-Type: udeb
Provides: nfs-modules
Depends: kernel-image-10.3-0-amd64-di

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

SHELL = bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

source		:= $(shell dpkg-parsechangelog | grep ^Source: | sed -e 's/^.*: //g')
full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]\+.*/\1/g' -e 's/^$(full_version)$$/HEAD/g')
version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
major           := $(shell echo $(version) | sed -e 's/\..*//g')
revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
cpu		:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
config_files	:= $(wildcard debian/arch/$(cpu)/*.config)
flavours	:= $(config_files:debian/arch/$(cpu)/%.config=%)
ld_target	:= $(shell ld --help | sed -ne "s/[^ :]*: supported targets: \([^ ]*\) .*/\1/p")
configfile	:= DEBCUSTOM

# Whether to enable extra debug features, at the expense of performance
# Not recommended for release builds
debug		:= no
# Putting ~debug in the Version field enbles this automatically
ifneq ($(findstring ~debug,$(full_version)),)
debug		:= yes
endif

# Produce a DFSG-free package by default, stripping out sourceless
# (non-free) blobs.  Put +nonfree or +sourceless in the Version field
# to keep the non-free parts and build non-free drivers
nonfree		:= $(findstring +nonfree,$(full_version))$(findstring +sourceless,$(full_version))

abiname		:= 0
# Clearly indicate if the build is non-free, and make it
# co-installable with DFSG-free versions
abiname		:= $(abiname)$(nonfree)

ifeq ($(cpu), mipsel)
kfreebsd_cpu	:= mips
else
kfreebsd_cpu	:= $(cpu)
endif

SVN_BASE	:= https://svn.freebsd.org/base
#SVN		:= $(SVN_BASE)/release/$(version).0
SVN		:= $(SVN_BASE)/releng/$(version)
#SVN		:= $(SVN_BASE)/stable/$(major)
#SVN		:= $(SVN_BASE)/head

SOURCE_PACKAGE	:= $(CURDIR)/debian/kfreebsd-source-$(version)
IMAGE_PACKAGE	:= $(CURDIR)/debian/kfreebsd-image-$(version)-$(abiname)
HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-headers-$(version)-$(abiname)
SRC_TAR		:= kfreebsd-source-$(version).tar.xz
SRC_DIR		:= kfreebsd-source-$(version)
HEADERS_DIR	:= kfreebsd-headers-$(version)-$(abiname)
FLAVOR_DIR	:= flavor-$(version)-$(abiname)
ORIG_DIR	:= $(source)-$(tar_version)
ORIG_TAR	:= $(source)_$(tar_version).orig.tar.xz
PATH		:= /usr/lib/freebsd:$(PATH)
SOURCE_DATE_EPOCH ?= $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

	# Do not mess with MAKEFLAGS until we transfer control to BSD make (see below)
	BSD_MAKEFLAGS += -j$(NUMJOBS)
endif

MAKE		:= \
		MAKEFLAGS=$(BSD_MAKEFLAGS) \
		make \
		MACHINE_ARCH=$(kfreebsd_cpu)

ifeq ($(nonfree),)
# Disable non-free drivers
MAKE		+= -DWITHOUT_SOURCELESS
endif

# Clang is the default compiler on these architectures (see src/share/mk/bsd.own.mk)
clang_cpus	:= # i386 amd64 arm
# Experimentally build all arches with GCC for now
cc_pkg		:= gcc-9

#cc_pkg		:= clang-3.5 [$(foreach cpu,$(clang_cpus),any-$(cpu))], \
#		gcc-6 [$(foreach cpu,$(clang_cpus),!any-$(cpu))]

ifneq (, $(filter $(clang_cpus), $(DEB_HOST_ARCH_CPU)))
cc_cmd		:= clang-3.5
else
cc_cmd		:= gcc-9
endif

ifeq ($(cc_cmd), clang)
MAKE	+= -DWITH_CLANG_IS_CC
else
MAKE	+= -DWITHOUT_CLANG_IS_CC
MAKE	+= WERROR=
endif

MAKE += -DWITHOUT_CTF

# Disable install of *.ko.symbols files (their presence would trigger an
# "unstripped-binary-or-object" lintian error).
MAKE += -DWITHOUT_KERNEL_SYMBOLS	

# Prevent improper #include of mm_malloc.h by GCC headers
CFLAGS += -D_MM_MALLOC_H_INCLUDED

get-orig-source:
	rm -rf $(ORIG_DIR)
	svn export --ignore-keywords -r $(svn_revision) $(SVN)/share/man/man4 $(ORIG_DIR)/share/man/man4
	svn export --ignore-keywords -r $(svn_revision) $(SVN)/share/man/man9 $(ORIG_DIR)/share/man/man9
	svn export --ignore-keywords -r $(svn_revision) $(SVN)/sys $(ORIG_DIR)/sys
ifeq ($(nonfree),)
	# Removing non-free blobs to make source package DFSG-free
	cd $(ORIG_DIR) && $(CURDIR)/debian/prune.sh
	# Replace file with a DFSG-free re-implementation
	cp -af debian/local/ar9300_devid.h $(ORIG_DIR)/sys/contrib/dev/ath/ath_hal/ar9300/
	cp -af debian/local/ar9300_devid.h $(ORIG_DIR)/sys/dev/ath/ath_hal/ar9003/
else
	# WARNING: orig source tarball will contain non-free blobs
endif
	# Clamp timestamps to be no newer than last upstream revision, see
	# https://wiki.debian.org/ReproducibleBuilds/TimestampsInTarball
	REVISION_DATE_EPOCH=`date -d \`svn info -r $(svn_revision) $(SVN) \
	  --show-item last-changed-date\` +%s` && \
	find $(ORIG_DIR) -newermt "@$$REVISION_DATE_EPOCH" -print0 \
	 | xargs -0r touch --no-dereference --date="@$$REVISION_DATE_EPOCH"
	# Create tarball with files sorted in a stable order, see
	# https://wiki.debian.org/ReproducibleBuilds/FileOrderInTarballs
	find $(ORIG_DIR) -print0 | LC_ALL=C sort -z \
	 | tar --null --no-recursion --files-from - \
	    --numeric-owner --owner 0 --group 0 \
	    -cJf ../$(ORIG_TAR)
	rm -rf $(ORIG_DIR)

control: clean
	for arch in `ls $(CURDIR)/debian/arch/` ; do \
		KW_CONFIG_DIR=debian/installer/$$arch ; \
		if test -e $$KW_CONFIG_DIR ; then \
			for config in `ls $(CURDIR)/debian/arch/$$arch/ | grep \.config` ; do \
				flavor=$${config/.config/} ; \
				if test -e debian/arch/$$arch/$$flavor.installer ; then \
					echo "kfreebsd-$$arch $(version)-$(abiname) $$flavor $(version)-$(abiname)-$$flavor - -" ; \
				fi ; \
			done > $$KW_CONFIG_DIR/kernel-versions ; \
		fi ; \
		echo ; \
	done
	sed -e "s/@major@/$(major)/g" -e "s/@version@/$(version)/g" -e "s/@abiname@/$(abiname)/g" -e "s/@flavor@/$$flavor/g" \
		-e "s/@cc_pkg@/$(cc_pkg)/g" \
		$(CURDIR)/debian/control.in > $(CURDIR)/debian/control
	echo >> $(CURDIR)/debian/control
	for arch in `ls $(CURDIR)/debian/arch/` ; do \
		for config in `ls $(CURDIR)/debian/arch/$$arch/ | grep \.config` ; do \
			flavor=$${config/.config/} ; \
			recommends= ; \
			test -f $(CURDIR)/debian/arch/$$arch/$$flavor.defines && recommends=`awk '/^Recommends: / {print $$2}' $(CURDIR)/debian/arch/$$arch/$$flavor.defines` ; \
			sed -e "s/@major@/$(major)/g" -e "s/@version@/$(version)/g" -e "s/@abiname@/$(abiname)/g" -e "s/@flavor@/$$flavor/g" -e "s/@arch@/$$arch/g" -e "s/@recommends@/$$recommends/g" \
				$(CURDIR)/debian/control.flavor.in ; \
			echo ; \
		done ; \
		export KW_DEFCONFIG_DIR=debian/installer ; \
		export KW_CONFIG_DIR=debian/installer/$$arch ; \
		if test -e $$KW_CONFIG_DIR/kernel-versions ; then \
			kernel-wedge gen-control ; \
		fi ; \
		echo ; \
	done >> $(CURDIR)/debian/control

clean:
	dh_testdir
	dh_testroot
	rm -rf kfreebsd-source-* flavor-*
	rm -f debian/kfreebsd-image-*.preinst
	rm -f debian/kfreebsd-image-*.prerm
	rm -f debian/kfreebsd-image-*.postinst
	rm -f debian/kfreebsd-image-*.postrm

	dh_clean

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir

	mkdir -p $(SRC_DIR)
	cp -af share sys $(SRC_DIR)/

	touch build-indep-stamp

build: build-arch build-indep

install-indep: install-indep-stamp
install-indep-stamp: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i

	mkdir -p $(SOURCE_PACKAGE)/usr/src
	chown -R root.src $(SRC_DIR)
	# Clamp timestamps to be no newer than last changelog entry, see
	# https://wiki.debian.org/ReproducibleBuilds/TimestampsInTarball
	find $(SRC_DIR) -newermt "@$(SOURCE_DATE_EPOCH)" -print0 \
	 | xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
	# Create tarball with files sorted in a stable order, see
	# https://wiki.debian.org/ReproducibleBuilds/FileOrderInTarballs
	# and normalised file permissions regardless of umask, see
	# https://wiki.debian.org/ReproducibleBuilds/VaryingPermissionsInTarballs
